org.apache.commons.lang3.event

## Class EventListenerSupport.ProxyInvocationHandler

- java.lang.Object
- - org.apache.commons.lang3.event.EventListenerSupport.ProxyInvocationHandler

- All Implemented Interfaces:
    InvocationHandler
  Enclosing class:
    EventListenerSupport<L>

      protected class EventListenerSupport.ProxyInvocationHandler
      extends Object
      implements InvocationHandler

  An invocation handler used to dispatch the event(s) to all the listeners.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ProxyInvocationHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `invoke(Object unusedProxy, Method method, Object[] args)` Propagates the method call to all registered listeners in place of the proxy listener object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyInvocationHandler

          protected ProxyInvocationHandler()

  - ### Method Detail

    - #### invoke

          public Object invoke(Object unusedProxy,
                               Method method,
                               Object[] args)
                        throws IllegalAccessException,
                               IllegalArgumentException,
                               InvocationTargetException

      Propagates the method call to all registered listeners in place of the proxy listener object.
      Specified by:
        `invoke` in interface `InvocationHandler`
      Parameters:
        `unusedProxy` - the proxy object representing a listener on which the invocation was called; not used
        `method` - the listener method that will be called on all of the listeners.
        `args` - event arguments to propagate to the listeners.
      Returns:
        the result of the method call
      Throws:
        `InvocationTargetException` - if an error occurs
        `IllegalArgumentException` - if an error occurs
        `IllegalAccessException` - if an error occurs

Copyright © 2001–2023 The Apache Software Foundation. All rights reserved.